Bug Hunting Session
Bug 118469 - problems with unwanted and unnecessary automatic table split
Summary: problems with unwanted and unnecessary automatic table split
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2018-06-30 08:50 UTC by Dr. Matthias Weisser
Modified: 2019-09-14 10:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
picture showing page break problem (94.65 KB, image/png)
2018-06-30 08:50 UTC, Dr. Matthias Weisser
Details
picture 2 showing page break problem (24.62 KB, image/png)
2018-06-30 08:54 UTC, Dr. Matthias Weisser
Details
picture 3 showing page break problem (51.75 KB, image/png)
2018-07-13 19:56 UTC, Dr. Matthias Weisser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. Matthias Weisser 2018-06-30 08:50:38 UTC
Created attachment 143223 [details]
picture showing page break problem

in different versions of LO like LO 5.4.5.1 and before I am getting occationally problems like shown in the picture.

A table is put in and the page break is ok at first. But then somehow this changes like shown. Its not so easy getting this fixed again.
Comment 1 Dr. Matthias Weisser 2018-06-30 08:54:45 UTC
Created attachment 143224 [details]
picture 2 showing page break problem

as can be seen there is really much enough space there for the table to do not split this way. It does not make sense splitting a table this way by an automatic procedure. This is considered as being a unwanted behaviour - a fault.

unfortunately I do not have a test file for that at the moment to attach.
Comment 2 Dieter Praas 2018-06-30 15:35:19 UTC
Looking into the attachments I would agree, that table split is not necessary. But without a sample file or clearer steps I don't know could be possible to reproduce the bug => Set to NEEDINFO

BTW: I often had the case, that a table is split, although "allow table to split" is unchecked. I often cpuld solve the probllem when I first enable and then directly disable this option.
Comment 3 Dr. Matthias Weisser 2018-07-01 07:31:44 UTC
I really hope that not only I do have this problem. I have several books and found it really annoying that sometimes when opening the file the page break changes. So I have to check for this each time before I am building a pdf from it. Also the page numbering then changes.

I could be a problem with insufficient memory. There is 4GB or more installed but sometimes this seems not be enough. If I do no real win 7 restart over several days it may happen more often.
Comment 4 Xisco Faulí 2018-07-02 22:53:40 UTC
Please attach a sample document, as this makes it easier for us to verify the bug. 
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 5 Dr. Matthias Weisser 2018-07-13 19:56:24 UTC
Created attachment 143539 [details]
picture 3 showing page break problem

same problem to see.
Comment 6 Dr. Matthias Weisser 2018-07-13 20:01:41 UTC
"Please attach a sample document, as this makes it easier for us to verify the bug. (Please note that the attachment will be public, remove any sensitive information before attaching it.)"

I clearly understand this wish !

Unfortunately those are my own books that I need to earn money with. Therefore I am unable posting the content here. 

Unfortunately I have not been able yet producing a test file where this always is possible to show. May be someone else is able doing so?
Comment 7 Telesto 2018-07-13 20:31:49 UTC
(In reply to Dr. Matthias Weisser from comment #6)
> "Please attach a sample document, as this makes it easier for us to verify
> the bug. (Please note that the attachment will be public, remove any
> sensitive information before attaching it.)"

-----
Make a copy of the problematic file and replacing everything with "x":

The basic plan is to replace all characters with a "x". We can (try to) do this with "Find & Replace".

Edit ▸ Find & Replace (Ctrl+H)

In the Search for field put "." (a single period)
In the Replace with field put "x"
Make sure Whole words only is unchecked
Click Other Options to expand the dialog, and make sure Regular expressions is checked.
Click Replace All
Now you have a document containing lots of "x"s. With luck, the bug still will be reproducible with that document.

More about Sanitizing https://wiki.documentfoundation.org/QA/Bugzilla/Sanitizing_Files_Before_Submission
Comment 8 Dr. Matthias Weisser 2018-07-13 20:46:40 UTC
(In reply to Telesto from comment #7)
> Make a copy of the problematic file and replacing everything with "x":

Thank you Telesto !
I tried doing such tricks. But unfortunately the pages then had some other size. Therefore the page break changed. I could not use this.

> With luck, the bug still
> will be reproducible with that document.

unfortunately I did not have this luck. Even with the original document the problem was not there all the time. Sometimes it came.
Comment 9 Jean-Baptiste Faure 2018-07-20 17:21:09 UTC
Which file format do you use for your documents ? ODF or OOXML?
Please check the following option of the paragraph styles: in the Text Flow tab the option "Keep with the next paragraph". Generally, this option should be checked only for heading styles.

Status set to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 10 Dr. Matthias Weisser 2018-07-20 21:21:47 UTC
(In reply to Jean-Baptiste Faure from comment #9)
> Which file format do you use for your documents ? ODF or OOXML?

I use .odt

> Please check the following option of the paragraph styles: in the Text Flow
> tab the option "Keep with the next paragraph". Generally, this option should
> be checked only for heading styles.

I do not see a problem with normal paragraphs - only with tables. There is a menu "Tabelleneigenschaften Textfluss" where the point "Trennung der Tabelle an Seiten- und Spaltenenden zulassen" is checked. 

If the table is too long this should be checked. Normally I do not see a problem with tables even if this is checked. Only sometimes this problem happens. Then it had been quite hard getting fixed. With a long text its time consuming checking the whole text each time before making a new pdf file for errors like that. 

Best regards
Matthias
Comment 11 Buovjaga 2018-08-30 11:48:38 UTC
Sorry, but until you manage to produce an example file, this cannot progress. I understand the bug does not show itself reliably, but you have to keep trying to produce a minimal example.
This will stay in NEEDINFO and will be closed as INSUFFICIENTDATA, if you never manage to create such a document.
Comment 12 Dr. Matthias Weisser 2018-08-30 12:27:49 UTC
"if you never manage to create such a document."

Dear Buovjaga,

this is not a problem creating a document. I have several of them. But all are confidential.

Even it I change the characters this will not help much because this really seems to be a memory related problem.

I will still have a look at this. May be I will find something where this shows more often. I am sure that I am not the only one experiencing this.
Comment 13 Xisco Faulí 2018-08-31 19:44:30 UTC
Dear Dr. Matthias Weisser,
Do you think you could send one of the problematic documents to my email privately? That way I could investigate the issue...
I'm the QA engineer at The Document Foundation and it will be kept confidential.
Thanks
Comment 14 Dr. Matthias Weisser 2018-08-31 20:17:24 UTC
Dear Xisco,

of course I can do a very private version for you. But I am not so sure if you will be able to replicate this. It does not seem to be so easy. 2 days ago I opened a file and the problem was there with one table at opening. It then disappeared when I edited in one place.

The bad thing with this is that one cannot be sure what the document will look like when doing a pdf. All pages have to be checked first which is really time consuming.

Matthias
Comment 15 QA Administrators 2019-05-08 21:44:22 UTC Comment hidden (obsolete)
Comment 16 Dieter Praas 2019-09-14 10:32:36 UTC
Hello Matthias, a new major release of LibreOffice is available since this bug was reported. Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ?I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version.